
This file contains NEdit Makefiles enhanced to work with mms on VMS systems
(note that there are 3 of them, one for each of root, source, and util).

Contributed by Clemens v. Mann.


==================
rootdir:
==================
#
# Makefile for NEdit text editor
#
# targets: sgi_nedit, hp_nedit, ultrix_nedit, ibm_nedit, sunos_nedit,
#          solaris_nedit, osf_nedit, vms
#
# Builds an intermediate library in util directory, then builds
# the nedit executable in the source directory
#
vms :
        set def [.util]
        mms
        set def [-.source]
        mms nedit.exe

sgi_nedit :
        (cd util; make -f Makefile.sgi libNUtil.a)
        (cd source; make -f Makefile.sgi nedit)

hp_nedit :
        (cd util; make -f Makefile.hp libNUtil.a)
        (cd source; make -f Makefile.hp nedit)

ultrix_nedit :
        (cd util; make -f Makefile.ultrix libNUtil.a)
        (cd source; make -f Makefile.ultrix nedit)

ibm_nedit :
        (cd util; make -f Makefile.ibm libNUtil.a)
        (cd source; make -f Makefile.ibm nedit)

sunos_nedit :
        (cd util; make -f Makefile.sunos libNUtil.a)
        (cd source; make -f Makefile.sunos nedit)

solaris_nedit :
        (cd util; make -f Makefile.solaris libNUtil.a)
        (cd source; make -f Makefile.solaris nedit)

osf_nedit :
        (cd util; make -f Makefile.osf libNUtil.a)
        (cd source; make -f Makefile.osf nedit)
==============================
util:
==============================
CC=cc
AR=lib
CFLAGS=
BIGGER_STRINGS= -Wf,-XNl8192
LIBS=-lm -lXm -lXt -lX11

# SCCS ID: Makefile.common 1.18 9/20/93
#
# Makefile for VMS/MMS
#

.obj:.c
        DEFINE SYS DECC$LIBRARY_INCLUDE
        DEFINE XM DECW$INCLUDE
        DEFINE X11 DECW$INCLUDE
        $(CC) $<

OBJS = DialogF.obj, getfiles.obj, printUtils.obj, misc.obj, fileUtils.obj, \
        prefFile.obj, fontsel.obj

all : libNUtil.olb VMSUTILS.olb
        sh def

libNUtil.olb : $(OBJS)
        $(AR) /CREATE/OBJ libNUtil.olb $(OBJS)

VMSUTILS.olb : VMSUTILS.obj
        LIBR/CREATE/OBJ VMSUTILS VMSUTILS

==================================================
source:
==================================================
# SCCS ID: DESCRIP.MMS 1.0 2/21/95
#
# Makefile for VMS/MMS
#
# For editres, add -DEDITRES to CFLAGS and -lXmu to LIBS
BIGGER_STRINGS= -Wf,-XNl10000

CC=cc
CFLAGS=
LFLAGS=
LIBS= -lm -lXm -lXt -lX11 -lPW

SRCS =  nedit.c file.c menu.c window.c clipboard.c search.c undo.c shift.c \
        help.c preferences.c tags.c shell.c regularExp.c

#OBJS = nedit.obj, file.obj, menu.obj, window.obj, clipboard.obj, search.obj,
undo.obj, shift.obj, \
#       help.obj, preferences.obj, tags.obj, regularExp.obj

OBJS =  nedit.obj, file.obj, menu.obj, clipboard.obj, search.obj, undo.obj,
shift.obj, \
        help.obj, preferences.obj, tags.obj, regularExp.obj, window.obj

.obj:.c
        DEFINE SYS DECC$LIBRARY_INCLUDE
        DEFINE XM DECW$INCLUDE
        DEFINE X11 DECW$INCLUDE
        $(CC) $(CFLAGS) $<

nedit.exe : $(OBJS)
        link/exe=nedit.exe  $(OBJS), NEDIT_OPTIONS_FILE/OPT, [-.util]vmsUtils/l
ib,
libNUtil.olb/lib

